Download it now!
Bug 72233 - Format - Page Dialog with long style names has a huge with and not scalable
Summary: Format - Page Dialog with long style names has a huge with and not scalable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.1.6 target:4.2.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-02 16:21 UTC by Zeki Bildirici
Modified: 2014-02-25 12:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Long style names corrupt page dialog (367.99 KB, image/jpeg)
2013-12-02 16:21 UTC, Zeki Bildirici
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2013-12-02 16:21:38 UTC
Created attachment 90110 [details]
Long style names corrupt page dialog

Hi,

There is the strange issue, i have a document with really long style names(i don't know somehow the suite gave this names or manually entered)with this long style names, Format - Page dialog becomes 1,5 screen with and cannot be used in single monitors. I had the screenshot in a dual-monitor.

The style name box should wrap the text or shorten it with dots. 

You may see the details in the attachment.

Best regards,
Zeki
Comment 1 Zeki Bildirici 2013-12-02 16:23:31 UTC
Comment on attachment 90110 [details]
Long style names corrupt page dialog

Changed mime type
Comment 2 Cor Nouws 2013-12-02 19:24:57 UTC
Hi zeki,

Cool style names ... in any case related to bug 66105 .

(The mentioned version probably is not the first version with this bug)
Cheers,
Cor
Comment 3 Adolfo Jayme 2013-12-03 18:08:24 UTC
To anyone who fixes this bug: please make the Paragraph dialog non-resizable along the way. The correct fix is to ellipsize long names in Navigator and not allow the dialog to grow this huge.
Comment 4 Zeki Bildirici 2014-02-14 12:34:36 UTC
Still reproducable on 4.2
Comment 5 Commit Notification 2014-02-17 12:45:47 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a95888e6e62a702f4b9af4a68c44339b51dc283e

Resolves: fdo#72233 too long style names over-stretch dialog



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-02-17 18:07:51 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf2d7f598be36fc3804392403c7d09405f94cff8&h=libreoffice-4-1

Resolves: fdo#72233 too long style names over-stretch dialog


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-02-17 18:08:05 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90d15dae42abf0a2c640a14e98148f5c54adccc3&h=libreoffice-4-2

Resolves: fdo#72233 too long style names over-stretch dialog


It will be available in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-02-22 15:30:00 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1bc75a929ca0beb804d5bdb11e9840e7e2f8d2b&h=libreoffice-4-2-1

Resolves: fdo#72233 too long style names over-stretch dialog


It will be available already in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-22 15:33:24 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08c944c5b4b8a0b90a910d75af0ac664dd4fde62&h=libreoffice-4-2-2

Resolves: fdo#72233 too long style names over-stretch dialog


It will be available already in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.